Eclipse Platform Release 3.7

## org.eclipse.jface.text.link
Class ProposalPosition

    java.lang.Object
      org.eclipse.jface.text.Position
          org.eclipse.jface.text.link.LinkedPosition
              org.eclipse.jface.text.link.ProposalPosition

    public class ProposalPosition

extends LinkedPosition

LinkedPosition with added completion proposals.

Clients may instantiate or extend this class.

Since:
  3.0

Field Summary

Fields inherited from class org.eclipse.jface.text.Position
`isDeleted, length, offset`

Constructor Summary
`ProposalPosition(IDocument document, int offset, int length, ICompletionProposal[] proposals)` Creates a new instance, with no sequence number.
`ProposalPosition(IDocument document, int offset, int length, int sequence, ICompletionProposal[] proposals)` Creates a new instance.

Method Summary
`boolean` `equals(Object o)`
`ICompletionProposal[]` `getChoices()` Returns the proposals attached to this position.
`int` `hashCode()`

Methods inherited from class org.eclipse.jface.text.link.LinkedPosition
`getContent, getDocument, getSequenceNumber, includes, includes, includes, includes, overlapsWith, setSequenceNumber`

Methods inherited from class org.eclipse.jface.text.Position
`delete, getLength, getOffset, isDeleted, overlapsWith, setLength, setOffset, toString, undelete`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProposalPosition

    public ProposalPosition(IDocument document,
                            int offset,
                            int length,
                            int sequence,
                            ICompletionProposal[] proposals)

  Creates a new instance.

  Parameters:
    `document` - the document
    `offset` - the offset of the position
    `length` - the length of the position
    `sequence` - the iteration sequence rank
    `proposals` - the proposals to be shown when entering this position

### ProposalPosition

    public ProposalPosition(IDocument document,
                            int offset,
                            int length,
                            ICompletionProposal[] proposals)

  Creates a new instance, with no sequence number.

  Parameters:
    `document` - the document
    `offset` - the offset of the position
    `length` - the length of the position
    `proposals` - the proposals to be shown when entering this position

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `LinkedPosition`

### getChoices

    public ICompletionProposal[] getChoices()

  Returns the proposals attached to this position. The returned array is owned by this `ProposalPosition` and may not be modified by clients.

  Returns:
    an array of choices, including the initial one. Callers must not modify it.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `LinkedPosition`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.